package com.bonus.canteen.core.allocation.alloc.service;


import com.bonus.canteen.core.allocation.alloc.model.AllocMetadata;
import com.bonus.canteen.core.common.enums.MetadataModelTypeEnum;

import java.util.List;

public interface AllocMetadataService {

   List<AllocMetadata> listPayMetadataByType(MetadataModelTypeEnum modelType, Long canteenId, Long stallId);

   List<AllocMetadata> listPayMetadataCacheable(MetadataModelTypeEnum modelTypeEnum);

   String getCacheKeyPrefix();

   void savePayMetadata(List<AllocMetadata> payMetadataList);

   List<AllocMetadata> listPayMetadataByTypeAreaId(MetadataModelTypeEnum modelType, Long areaId);
}
